/*
  Adafruit GFX LIbrary Quick Reference (2021)

  Extracted from: https://learn.adafruit.com/adafruit-gfx-graphics-library

  .cp437(true);
  .color565(uint8_t r,uint8_t g,uint8_t b);
  
  .drawBitmap(int16_t x, int16_t y, uint8_t *bitmap, int16_t w, int16_t h, uint16_t color);
  .drawChar(uint16_t x, uint16_t y, char c, uint16_t color, uint16_t bg, uint8_t size);
  .drawCircle(uint16_t x0, uint16_t y0, uint16_t r, uint16_t color);
  .drawFastVLine(uint16_t x0, uint16_t y0, uint16_t length, uint16_t color);
  .drawFastHLine(uint8_t x0, uint8_t y0, uint8_t length, uint16_t color);
  .drawLine(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1, uint16_t color);
  .drawPixel(uint16_t x, uint16_t y, uint16_t color);
  .drawRect(uint16_t x0, uint16_t y0, uint16_t w, uint16_t h, uint16_t color);
  .drawRoundRect(uint16_t x0, uint16_t y0, uint16_t w, uint16_t h, uint16_t radius, uint16_t color);
  .drawTriangle(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint16_t color);
  
  .fillCircle(uint16_t x0, uint16_t y0, uint16_t r, uint16_t color);
  .fillRect(uint16_t x0, uint16_t y0, uint16_t w, uint16_t h, uint16_t color);
  .fillRoundRect(uint16_t x0, uint16_t y0, uint16_t w, uint16_t h, uint16_t radius, uint16_t color);
  .fillScreen(uint16_t color);
  .fillTriangle(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint16_t color);

  .getTextBounds(string, x, y, &x1, &y1, &w, &h);

  .height();

  .print();
  .println();

  .setCursor(int16_t x0, int16_t y0);
  .setFont(&FontName);
  .setRotation(uint8_t rotation);
  .setTextColor(uint16_t color);
  .setTextColor(uint16_t color, uint16_t backgroundcolor);
  .setTextSize(uint8_t size);
  .setTextWrap(boolean w);

  .width();
 
*/

// --------------------------------------------------------------------------------
